Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
osmium::tags::Filter< TKey, TValue, TKeyComp, TValueComp >::Rule Struct Reference

## Public Member Functions
| Rule (bool r, bool ignore, key_type k, value_type v)
| Rule (bool r, bool ignore, key_type k)

## Public Attributes
key_type | key
value_type | value
bool | ignore_value
bool | result

## Constructor & Destructor Documentation

## ◆ Rule() [1/2]

template<typename TKey , typename TValue = void, typename TKeyComp = match_key<TKey>, typename TValueComp = match_value<TValue>>

osmium::tags::Filter< TKey, TValue, TKeyComp, TValueComp >::Rule::Rule | ( | bool | r,
|  | bool | ignore,
|  | key_type | k,
|  | value_type | v )
| inline explicit

## ◆ Rule() [2/2]

template<typename TKey , typename TValue = void, typename TKeyComp = match_key<TKey>, typename TValueComp = match_value<TValue>>

osmium::tags::Filter< TKey, TValue, TKeyComp, TValueComp >::Rule::Rule | ( | bool | r,
|  | bool | ignore,
|  | key_type | k )
| inline explicit

## Member Data Documentation

## ◆ ignore_value

template<typename TKey , typename TValue = void, typename TKeyComp = match_key<TKey>, typename TValueComp = match_value<TValue>>

bool osmium::tags::Filter< TKey, TValue, TKeyComp, TValueComp >::Rule::ignore_value

## ◆ key

template<typename TKey , typename TValue = void, typename TKeyComp = match_key<TKey>, typename TValueComp = match_value<TValue>>

key_type osmium::tags::Filter< TKey, TValue, TKeyComp, TValueComp >::Rule::key

## ◆ result

template<typename TKey , typename TValue = void, typename TKeyComp = match_key<TKey>, typename TValueComp = match_value<TValue>>

bool osmium::tags::Filter< TKey, TValue, TKeyComp, TValueComp >::Rule::result

## ◆ value

template<typename TKey , typename TValue = void, typename TKeyComp = match_key<TKey>, typename TValueComp = match_value<TValue>>

value_type osmium::tags::Filter< TKey, TValue, TKeyComp, TValueComp >::Rule::value

The documentation for this struct was generated from the following file:

- include/osmium/tags/filter.hpp